#
# spec file for package certstrap
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           certstrap
Version:        1.3.0+git20220701.1377eab
Release:        1.8
Summary:        Tool for bootstrapping CAs, certificate requests, and signed certificates
License:        Apache-2.0
Group:          System/Management
URL:            https://github.com/square/certstrap
Source:         %{name}-%{version}.tar.xz
BuildRequires:  golang(API) >= 1.18
ExcludeArch:    s390

%description
Certstrap is a certificate manager for bootstrapping one's own
certificate authority and public key infrastructure.
certstrap can be used if you do not feel like dealing with openssl,
its myriad of options or config files.

%prep
%setup -q

%build
export GOPATH=$HOME/go
go build -v -buildmode=pie -mod vendor

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 certstrap %{buildroot}%{_bindir}

%files
%license LICENSE
%doc README.md
%{_bindir}/certstrap

%changelog
* Mon Jul 11 2022 kukuk@suse.de
- Update to version 1.3.0+git20220701.1377eab:
  * Fix typo in release workflow (#163)
  * Move to Go 1.18 (#162)
  * Add support for setting `pathlen` on CA certificates and intermediate CA (#135)
  * Fix docker file (#161)
  * Expand on permissions error message. (#160)
  * Bump go.step.sm/crypto from 0.15.2 to 0.16.2
  * created test_tags and test_tags_windows since 600 permissions are not available in windows
  * Update go.yml
  * Update go.yml
  * updated go version to 1.16
* Fri May 15 2020 kukuk@suse.de
- Update to version 1.2.0+git20200507.7cda9d4:
  * update to readme & .gitignore
  * update to generated binaries information
  * Enforce linter errors
  * Fix issues surfaced by running `golangci-lint run`
  * Configure GitHub Actions
  * Fix docker build after removal of vendored deps
  * Bump github.com/urfave/cli from 1.22.3 to 1.22.4
  * Clean-up test execution
  * Remove vendorized dependencies in favor of Go modules
  * Bump github.com/urfave/cli from 1.22.2 to 1.22.3
  * Set CRL expiration to 2 years
  * Add option to create CA restricted to some domains
  * Bump github.com/urfave/cli from 1.22.1 to 1.22.2
  * Use raw string to avoid escaping
  * Add minute and second granularity to expiration time
  * Remove duplicate travis build
  * Update README regarding go version
* Sat Sep 21 2019 kukuk@suse.de
- Build pie binary
- Update to version 1.2.0+git20190920.dceba24:
  * Bump Go to 1.13
  * Automatically inject version from tag in CI
  * Bump github.com/urfave/cli from 1.21.0 to 1.22.1
  * Allow to override default file inputs and outputs
  * Bump github.com/urfave/cli from 1.20.0 to 1.21.0
  * avoid using global variables
* Fri Apr 26 2019 Richard Brown <rbrown@suse.com>
- Correct factual inaccuracies and excess technical details from description
* Thu Apr 18 2019 Jan Engelhardt <jengelh@inai.de>
- Trim bias from description
* Thu Apr 18 2019 kukuk@suse.de
- Removed unused CDDL licensed files
* Mon Apr 15 2019 kukuk@suse.de
- Update to version 1.1.1+git20190303.350df15:
  * cmd: Make errors from existing CA/CSR/Cert paths more explicit
  * Add Dockerfile
  * Update dependencies to lastest versions
  * Remove dep references in README, travis.yml
  * Switch to using Go modules for dependencies
  * The CLA link is outdated; remove it
  * Adding URI SAN support (#63)
  * Add revoke command
  * Makes golang 1.11 default and skips golang 1.5 in CI build
* Mon Apr 15 2019 kukuk@suse.de
- Initial release
